<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\RejectReason;
use App\Models\User;

class RejectReasonPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any RejectReason');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('view RejectReason');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create RejectReason');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('update RejectReason');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('delete RejectReason');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any RejectReason');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('restore RejectReason');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any RejectReason');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('replicate RejectReason');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder RejectReason');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, RejectReason $rejectreason): bool
    {
        return $user->checkPermissionTo('force-delete RejectReason');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any RejectReason');
    }
}
